Subject: [NOBBC] Lotus 907 water pump pulley needed

From: "David Willson" <[email-masked]>
Date: Wed, 16 Jul 2014 18:27:37 -0700

In trying to resurrect my wrecked Jensen Healey into a LeMons race car for
the Old Crows, I find that I don't have a straight water pump pulley.  Does
anyone in nobbc land have one they can donate/sell?  Out of the five bodies
and eleven 907 motors that I've had, I've obviously thrown every pulley
away.  There's none in any of my bone boxes so here I am with my figurative
hat in hand.

[David Willson] 
Sebastopol
707-321-1429
_______________________________________________
[email-masked]
Archive: http://www.team.net/archive